org.apache.sysds.runtime.lineage

## Class LineageCacheEntry

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageCacheEntry

-     public class LineageCacheEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineageCacheEntry(LineageItem key, Types.DataType dt, MatrixBlock Mval, ScalarObject Sval, long computetime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.sysds.runtime.lineage.LineageCacheConfig.LineageCacheStatus` | `getCacheStatus()`
    `GPUObject` | `getGPUObject()`
    `MatrixBlock` | `getMBValue()`
    `long` | `getSize()`
    `ScalarObject` | `getSOValue()`
    `boolean` | `isMatrixValue()`
    `boolean` | `isNullVal()`
    `boolean` | `isScalarValue()`
    `void` | `setGPUValue(GPUObject gpuObj, long computetime)`
    `void` | `setValue(MatrixBlock val)`
    `void` | `setValue(MatrixBlock val, long computetime)`
    `void` | `setValue(ScalarObject val, long computetime)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineageCacheEntry

          public LineageCacheEntry(LineageItem key,
                                   Types.DataType dt,
                                   MatrixBlock Mval,
                                   ScalarObject Sval,
                                   long computetime)

  - ### Method Detail

    - #### getMBValue

          public MatrixBlock getMBValue()

    - #### getSOValue

          public ScalarObject getSOValue()

    - #### getCacheStatus

          public org.apache.sysds.runtime.lineage.LineageCacheConfig.LineageCacheStatus getCacheStatus()

    - #### getSize

          public long getSize()

    - #### isNullVal

          public boolean isNullVal()

    - #### isMatrixValue

          public boolean isMatrixValue()

    - #### isScalarValue

          public boolean isScalarValue()

    - #### setValue

          public void setValue(MatrixBlock val,
                               long computetime)

    - #### setValue

          public void setValue(MatrixBlock val)

    - #### setValue

          public void setValue(ScalarObject val,
                               long computetime)

    - #### setGPUValue

          public void setGPUValue(GPUObject gpuObj,
                                  long computetime)

    - #### getGPUObject

          public GPUObject getGPUObject()

Copyright © 2021 The Apache Software Foundation. All rights reserved.